Page MenuHomePhabricator

show monitoring protocols bgp not works with frr
Open, NormalPublicBUG

Description

Some incompatible changes from frr

vyos@syncer-home-rtr:~$ show monitoring protocols bgp 
% Unknown command: show debugging bgp

http://docs.frrouting.org/en/latest/bgp.html#debugging
it´s more extensive now, wondering if we should add additional options to CLI

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Related Objects

Event Timeline

syncer triaged this task as Normal priority.Sep 6 2018, 6:41 PM
syncer created this task.
syncer created this object with visibility "Public (No Login Required)".
syncer changed the subtype of this task from "Task" to "Bug".Oct 18 2018, 5:40 AM

It looks like the VyOS has the old command syntax.

vyos@1.2-roll-ns:~$ monitor protocol bgp enable keepalives 
BGP keepalives debugging is on
vyos@1.2-roll-ns:~$ 
vyos@1.2-roll-ns:~$ monitor protocol bgp enable events 
% Unknown command: debug bgp events 
vyos@1.2-roll-ns:~$ 
vyos@1.2-roll-ns:~$ monitor protocol bgp enable 
Possible completions:
  events        Enable BGP events debugging
  filters       Enable BGP filters debugging
  fsm           Enable BGP fsm debugging
  keepalives    Enable BGP keepalives debugging
  messages      Enable Border Gateway Protocol (BGP) messages debugging
  rib           Enable BGP rib debugging
  updates       Enable BGP updates debugging

FRR vtysh:

# debug bgp 
  allow-martians   BGP allow martian next hops
  as4              BGP AS4 actions
  bestpath         BGP bestpath
  flowspec         BGP allow flowspec debugging entries
  keepalives       BGP Neighbor Events
  labelpool        label pool
  neighbor-events  BGP Neighbor Events
  nht              BGP nexthop tracking events
  pbr              BGP policy based routing
  update-groups    BGP update-groups
  updates          BGP updates
  vnc              VNC information
  vpn              VPN routes
  zebra            BGP Zebra messages
Viacheslav added a comment.EditedDec 16 2019, 9:47 AM

PR https://github.com/vyos/vyatta-op-quagga/pull/4/commits/7659873869d92c9ec6b363db7e06d2ba5b41e5f6
New syntax for commands "monitor protocol bgp enable", "monitor protocol bgp disable"

sever@1.2-roll-ns:~$ monitor protocol bgp enable 
Possible completions:
  allow-martians
                Enable BGP martians next hops debugging
  as4           Enable BGP allow AS4 actions debugging
  bestpath      Enable BGP allow best path debugging
  flowspec      Enable BGP allow flowspec debugging
  keepalives    Enable BGP keepalives debugging
  labelpool     Enable BGP label pool  debugging
  neighbor-events
                Enable BGP Neighbor events debugging
  nht           Enable BGP next hop tracking debugging
  pbr           Enable BGP policy based routing debugging
  rib           Enable BGP rib debugging
  update-groups Enable BGP update groups debugging
  updates       Enable BGP updates debugging
  vnc           Enable values
sever@1.2-roll-ns:~$ monitor protocol bgp enable allow-martians 
BGP allow_martian next hop debugging is on
sever@1.2-roll-ns:~$ monitor protocol bgp enable as4
BGP as4 debugging is on
sever@1.2-roll-ns:~$ 
sever@1.2-roll-ns:~$ vtysh -c "show debug"
Zebra debugging status:

BGP debugging status:
  BGP as4 debugging is on
  BGP allow martian next hop debugging is on

PR https://github.com/vyos/vyatta-op/pull/32
Fix "show monitoring" command.

vyos@1.2-roll-ns:~$ show monitoring 
Zebra debugging status:

RIP debugging status:

RIPng debugging status:

OSPF6 debugging status:

BGP debugging status:
  BGP as4 debugging is on
  BGP keepalives debugging is on
  BGP neighbor-events debugging is on
  BGP next-hop tracking debugging is on
  BGP update-groups debugging is on
  BGP updates debugging is on (inbound)
  BGP updates debugging is on (outbound)
  BGP zebra debugging is on
  BGP allow martian next hop debugging is on
  BGP flowspec debugging is on
  BGP labelpool debugging is on
  BGP policy based routing debugging is on

Static debugging status

BFD debugging status:

vyos@1.2-roll-ns:~$